--- title: "exportDbServerLogsToObjectStorage" slug: "database-vmssql-exportdbserverlogstoobjectstorage" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-exportdbserverlogstoobjectstorage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # exportDbServerLogsToObjectStorage Available in VPC Send Cloud DB for MSSQL instance DB server log files to Object Storage. Note To send DB server log files to Object Storage, Object Storage buckets for storing and searching DB server log files must be created in advance. For more information, see the [Object Storage Guide](https://guide.ncloud-docs.com/docs/en/storage-storage-6-1). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/exportDbServerLogsToObjectStorage | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MSSQL instance whose DB server log file you want to send to Object Storage - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `cloudMssqlInstanceNo` | String | Required | Cloud DB for MSSQL instance number - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist). | | `cloudMssqlServerInstanceNo` | String | Required | Cloud DB for MSSQL server instance number - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist). | | `bucketName` | String | Required | Name of the Object Storage bucket the DB server log file will be sent to - See [getCloudMssqlBucketList](/docs/en/database-vmssql-getcloudmssqlbackupdetaillist). | | `folderPath` | String | Optional | Object Storage bucket's folder path | | `cloudMssqlObjectNameList.N` | List[String] | Required | List of log file names to send to Object Storage - See [getCloudMssqlLogFileList](/docs/en/database-vmssql-getcloudmssqllogfilelist). - Example: `cloudMssqlObjectNameList.1=test1&cloudMssqlObjectNameList.2=test2` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/exportDbServerLogsToObjectStorage ?regionCode=KR &cloudMssqlInstanceNo=2517**** &cloudMssqlServerInstanceNo=2517**** &bucketName=bucket &cloudMssqlObjectNameList.1=SQLAGENT.OUT &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "exportDbServerLogsToObjectStorageResponse": { "requestId": "9d128334-****-****-****-1b9b703b1675", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 9d128334-****-****-****-1b9b703b1675 0 success ```